#include "qsainstaller.h"

#include "archive.h"

#include <qapplication.h>
#include <qmessagebox.h>

int main( int argc, char **argv )
{
    QApplication app( argc, argv );

    int res = -1;

    QSAInstaller::InstallerType type = QSAInstaller::InstallType;

    for( int i=0; i<argc; ++i ) {
	if ( QString( app.argv()[i] ) == "-add-archive" ) {
	    // -add-archive is an internal option to add the
	    // binary resource QT_ARQ
	    if ( ++i < app.argc() ) {
		if ( addArchive( app.argv()[i] ) )
		    return 0;
	    }
	    return res;
	} else if( QString( app.argv()[i] ) == "-uninstall" ) {
	    if( argc < 4 ) {
		QMessageBox::information( 0, "QSA 1.0.0 Uninstaller",
					  "The uninstaller was not run with the proper arguments" );
		return -1;
	    }
	    type = QSAInstaller::UninstallType;
	}

    }

    QSAInstaller installer( 0, "qsa_installer", type );

    installer.show();
    app.setMainWidget( &installer );

    return app.exec();
}
